.chat-container {
    width: 100%;
    padding: 2rem 6rem;
    flex-direction: column;
}

.chats-nav {
  display: flex;
  flex-direction: column;
  min-height: 50vh;
}

.chats-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
  padding: 2rem;
}

.chats-list {
  flex: 1;
  overflow-y: auto;
  border: 1px solid #ccc;
  border-radius: 5px;
  padding: 10px;
}

.chats-item {
  margin-bottom: 10px;
  padding: 10px;
  background-color: #eee;
  border-radius: 5px;
  cursor: pointer;
}

.chatHeader {
  margin-left: 10px;
  margin-top: 10px;
  margin-bottom: 10px;
  color: #404040;
  font-weight: 600;
}

.chatView {
  flex:2;
  display: none;
  position: relative;
  flex-direction: column;
  overflow: hidden;
}

.chatView.active{
  display: flex;
}

.chatIcon {
	margin-left: 5px;
	margin-right: 10px;
	background-image: url("../images/chatIcon.png");
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	min-height: 35px;
	min-width: 35px;
	border-radius: 50%;
}
.chatName {
	overflow: hidden;
  	text-overflow:ellipsis;
	white-space: nowrap;
}

.chatStoryContainer {
  flex: 1;
  border: 1px solid #ccc;
  border-radius: 5px;
  padding: 10px;
  min-height: 40vh;
  max-height: 70vh;
}

.membersIconContainers {
  display: flex;
  flex-direction: row;
  overflow:clip;
  padding: 1rem 0;
}

.memberIcon {
	margin-left: 5px;
	margin-right: 10px;
	background-image: url("../images/userIcon.png");
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	min-height: 35px;
	min-width: 35px;
	border-radius: 50%;
}

.authorIcon {
	background-image: url("../images/userIcon.png");
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	min-height: 35px;
	min-width: 35px;
	border-radius: 50%;
}

.chat-footer {
  padding: 1rem; 
}

.chat-input {
  display: flex;
  justify-content: space-around;
}

.chat-input input {
  width: 100%;
  margin: 0 3rem 0 0;
  padding: 1rem;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.chat-input button {
  padding: 10px 20px;
  background-color: #007bff;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.messages{
    width: 100%;
    padding: 2rem 5rem;
    min-height: 50vh;
    background: #fff;
    overflow: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.message{
  background: #fff;
  box-shadow: 0px 0px 20px 5px rgba(0, 0, 0, 0.05);
  padding: 1rem;
  border-radius: 10px;
  word-wrap: break-word;
  display: flex;
  align-items: center;
}

.messageContainer {
	display: flex;
	flex-direction: row;
	position: relative;
	height: auto;
	align-items: center;
	margin-top:5px;
}

.userInfo {
  display: flex;
  align-items: center;
  flex-direction: column;
  padding: 1rem;
}

.authorName {
  font-size: 16px;
  color: gray;
}

.talktext{
	padding: 1em;
	text-align: left;
	line-height: 1.2em;
}

.my-message{
    justify-content: flex-end;
}

.other-message{
    justify-content: flex-start;
}
.message .chat-user-info{
    padding: 5px 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.message .chat-user-info img{
    width: 3.5rem;
    height: 3.5rem;
}

.message .chat-user-info .name{
    color: #555;
}

.messages .update{
    text-align: center;
    padding: 1rem;
    font-style: italic;
}

.chatItem {
	background-color: #CCCCCC;
  padding: 1rem;
	border-radius: 5px;
	margin-bottom: 10px;
	display: flex;
	align-items: center;
	flex-direction: row;
}

.chatItemSelected {
	background-color: #69ade8;
  padding: 1rem;
	border-radius: 5px;
	margin-bottom: 10px;
	display: flex;
	align-items: center;
  text-align: center;
}

.chatItemNotRead{
  background-color: #CCCCCC;
  padding: 1rem;
  margin-bottom: 10px;
	border-radius: 5px;
	display: flex;
	align-items: center;
	flex-direction: row;
	animation-name: activeNotRead;
	animation-duration: 0.75s;
	animation-direction: alternate;
	animation-iteration-count: infinite;
}

.scrollableItem {
	overflow-y:scroll;
}

.inputsContainer {
	display:flex;
	flex-direction: column;
	flex-grow: 1;
	align-items: center;
	justify-content: center;
	gap: 20px;
	font-size: 14pt;
}

.warningTitle {
	font-weight: bold;
	font-size: 14pt;
}

.pairContainer {
	display:flex;
	align-items: center;
	justify-content: space-between;
	width: 300px;
}

.studentInput {
	border: 1px solid black;
	background-color: white;
}

.userInputMessage {
  text-transform: none;
  padding: 10px;
  border: 2px solid #69ade8;
  border-radius: 5px;
  font-size: 16px;
  font-family: Arial, sans-serif;
  box-sizing: border-box;
  outline: none;
  transition: border-color 0.3s, box-shadow 0.3s;
}

.userInputMessage:focus {
  border-color: #004d40;
  box-shadow: 0 0 5px rgba(0, 77, 64, 0.5);
}

.userInputMessage::placeholder {
  color: #9e9e9e;
  font-style: italic;
}